import { AbstractType } from './abstract-type';
import { FormArray } from '../abstraction';
import { ConstructorOf1 } from '../types';
export interface ICollectionTypeOptions<T> {
    entrySettings: T;
}
export declare abstract class AbstractCollectionType<TConfig, T> extends AbstractType<T & ICollectionTypeOptions<TConfig>> {
    readonly childType: ConstructorOf1<TConfig, AbstractType<TConfig>>;
    readonly fieldInstance: AbstractType<TConfig>;
    control: FormArray;
    constructor(childType: ConstructorOf1<TConfig, AbstractType<TConfig>>, options: T & ICollectionTypeOptions<TConfig>);
}
