import { FormArray, FormControl, FormGroup } from './abstraction';
export declare type Constructor = ConstructorOf<any>;
export declare type ConstructorOf<TOf> = new (...args: any[]) => TOf;
export declare type ConstructorOf1<T1, TOf> = new (t1: T1) => TOf;
export declare type AbstractFormControl = FormControl | FormArray | FormGroup;
